Package org.apache.commons.imaging

## Enum ImageFormats

- java.lang.Object
- - java.lang.Enum<ImageFormats>
  - - org.apache.commons.imaging.ImageFormats

- All Implemented Interfaces:
    `Serializable`, `Comparable<ImageFormats>`, `ImageFormat`

      public enum ImageFormats
      extends Enum<ImageFormats>
      implements ImageFormat

  Enum of known image formats.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BMP` |
    `DCX` |
    `GIF` |
    `ICNS` |
    `ICO` |
    `JBIG2` |
    `JPEG` |
    `PAM` |
    `PBM` |
    `PCX` |
    `PGM` |
    `PNG` |
    `PNM` |
    `PPM` |
    `PSD` |
    `RGBE` |
    `TGA` |
    `TIFF` |
    `UNKNOWN` |
    `WBMP` |
    `XBM` |
    `XPM` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDefaultExtension()` |
    `String[]` | `getExtensions()` | Get the file extension associated with this `ImageFormat`.
    `String` | `getName()` | Get the name of this `ImageFormat`.
    `static ImageFormats` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ImageFormats[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ImageFormats UNKNOWN

    - #### BMP

          public static final ImageFormats BMP

    - #### DCX

          public static final ImageFormats DCX

    - #### GIF

          public static final ImageFormats GIF

    - #### ICNS

          public static final ImageFormats ICNS

    - #### ICO

          public static final ImageFormats ICO

    - #### JBIG2

          public static final ImageFormats JBIG2

    - #### JPEG

          public static final ImageFormats JPEG

    - #### PAM

          public static final ImageFormats PAM

    - #### PSD

          public static final ImageFormats PSD

    - #### PBM

          public static final ImageFormats PBM

    - #### PGM

          public static final ImageFormats PGM

    - #### PNM

          public static final ImageFormats PNM

    - #### PPM

          public static final ImageFormats PPM

    - #### PCX

          public static final ImageFormats PCX

    - #### PNG

          public static final ImageFormats PNG

    - #### RGBE

          public static final ImageFormats RGBE

    - #### TGA

          public static final ImageFormats TGA

    - #### TIFF

          public static final ImageFormats TIFF

    - #### WBMP

          public static final ImageFormats WBMP

    - #### XBM

          public static final ImageFormats XBM

    - #### XPM

          public static final ImageFormats XPM

  - ### Method Detail

    - #### values

          public static ImageFormats[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImageFormats c : ImageFormats.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImageFormats valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Description copied from interface: `ImageFormat`
      Get the name of this `ImageFormat`.
      Specified by:
        `getName` in interface `ImageFormat`
      Returns:
        String name

    - #### getExtensions

          public String[] getExtensions()

      Description copied from interface: `ImageFormat`
      Get the file extension associated with this `ImageFormat`.
      Specified by:
        `getExtensions` in interface `ImageFormat`
      Returns:
        String extension

    - #### getDefaultExtension

          public String getDefaultExtension()

      Specified by:
        `getDefaultExtension` in interface `ImageFormat`